=== debian/changelog ===
lomiri-api (0.1.0-5) unstable; urgency=medium

  * debian/liblomiri-api0.symbols:
    + Update for amd64 arm64 armel armhf i386 m68k mips64el mipsel powerpc
      ppc64 ppc64el s390x x32.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 19 Apr 2020 10:09:06 +0200

lomiri-api (0.1.0-4) unstable; urgency=medium

  * debian/patches:
    + Add 2001_disable-GioMemory_test.patch. Disable GioMemory_test as it fails
      on Debian's buildd infrastructure.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Apr 2020 23:13:51 +0200

lomiri-api (0.1.0-3) unstable; urgency=medium

  * debian/control:
    + Add B-D: dbus-test-runner.
  * debian/rules:
    + Run unit tests in dbus-test-runner wrapped environment. Thanks to Lukas
      Weiss from postmarketOS for providing the hint. Let's hope unit tests
      now succeed.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Apr 2020 21:48:16 +0200

lomiri-api (0.1.0-2) unstable; urgency=medium

  * debian/liblomiri-api0.symbols:
    + Update for m68k, ppc64, x32.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Apr 2020 22:30:53 +0200

lomiri-api (0.1.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #952728).

  * debian/*:
    + Downgrade SOVERSION to 0 (in coordination with upstream).
  * debian/patches:
    + Add 0001_remove-smart-pointer-from-GRefString.patch. Fix FTBFS during
      unit tests in Debian bullseye and Ubuntu focal.
    + Add 0002_NEWS-Fix-project-name.patch.
  * debian/control:
    + Make Debian UBports Team maintainer; add myself to Uploaders: field.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Vcs-*: fields.
    + Make SYNOPSES and LONG_DESCRIPTIONs more verbose.
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Drop from B-D: g++:native (unversioned).
    + Drop from B-D: qt5-default (meta package).
    + Add B-Ds: symlinks, rdfind.
    + Add B-D pkg-kde-tools.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/{control,copyright,watch}:
    + Switch upstream location to UBports' GitLab.
  * debian/copyright:
    + Add auto-generated copyright.in file.
    + Use secure Format: URL.
    + Add debian/* copyright info. Fix line length in short license text. Add
      Upstream-Contact: field.
    + Detailed file list copyright style.
  * debian/rules:
    + Move --fail-missing into dh_missing; Drop --parallel.
    + Add get-orig-source target.
    + Set hardening build flags.
    + Set QT_SELECT to 5.
    + Enable pkgkde_symbolshelper support in debhelper.
    + Use upstream's NEWS file as upstream ChangeLog.
  * debian/{rules,liblomiri-api-doc.install}:
    + Fix API doc installation location, symlink duplicate files.
  * debian/liblomiri-api0.symbols:
    + Ship symbols for amd64 builds (other archs still pending).
  * debian/liblomiri-api-doc.doc-base:
    + Add file.
  * debian/source/format:
    + Add file (3.0 (quilt)).
  * debian/source/lintian-overrides:
    + Override odd-historical-debian-changelog-version.
  * debian/upstream/metadata:
    + Add file, comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Feb 2020 16:19:25 +0100

unity-api (8.8+ubports) xenial; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Tue, 20 Feb 2018 23:53:49 +0100

unity-api (8.7+17.04.20170404-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * Add Glib and GObject Assigner helpers.

  [ Pete Woods ]
  * unity::util - Add glib signal managers

  [ Rodney Dawes ]
  * Add utility function to prepend $SNAP to directory paths.

 -- Pete Woods <pete.woods@canonical.com>  Tue, 04 Apr 2017 09:37:43 +0000

unity-api (8.7) UNRELEASED; urgency=medium

  * Add popularity field to LauncherItem

 -- Michael Zanetti <michael.zanetti@canonical.com>  Tue, 04 Apr 2017 10:26:39 +0200

unity-api (8.6+17.04.20170317-0ubuntu1) zesty; urgency=medium

  [ Michael Zanetti ]
  * Add appId property to MirSurfaceInterface

  [ Pete Woods ]
  * unity::util - unique_gobject and share_gobject now throw for
    floating references (LP: #1672657)

 -- Lukáš Tinkl <lukas.tinkl@canonical.com>  Fri, 17 Mar 2017 11:08:20 +0000

unity-api (8.5) UNRELEASED; urgency=medium

  [ Michael Zanetti ]
  * Add RoleIsPrivate to launcher's quicklist entries

  [ Daniel d'Andrada ]
  * MirSurfaceInterface::allowClientResize

 -- Michael Zanetti <michael.zanetti@canonical.com>  Fri, 24 Feb 2017 13:57:12 +0000

unity-api (8.4+17.04.20170223-0ubuntu1) zesty; urgency=medium

  [ Pete Woods ]
  * unity::util - Make Glib and GObject memory management
    utilities handle NULL quietly.

 -- Pete Woods <pete.woods@canonical.com>  Thu, 23 Feb 2017 11:22:37 +0000

unity-api (8.3+17.04.20170217-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * unity::util - Add typedef macros to GlibMemory to make method
    and member variable definitions easier.

 -- Pete Woods <pete.woods@canonical.com>  Fri, 17 Feb 2017 14:12:04 +0000

unity-api (8.2+17.04.20170206-0ubuntu1) zesty; urgency=medium

  [ Daniel d'Andrada ]
  * MirSurfaceInterface: add childSurfaceList and parentSurface

 -- Albert Astals Cid <albert.astals@canonical.com>  Mon, 06 Feb 2017 09:11:03 +0000

unity-api (8.1+17.04.20170120.1-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * unity::util - add GObject shared memory utility classes
    and helper methods.
  * unity::util - add Glib memory management utility functions.

 -- Lukáš Tinkl <lukas.tinkl@canonical.com>  Fri, 20 Jan 2017 17:08:56 +0000

unity-api (8.1) UNRELEASED; urgency=medium

  * Added Mir::currentKeymap

 -- Lukáš Tinkl <lukas.tinkl@canonical.com>  Fri, 30 Sep 2016 13:20:00 +0200

unity-api (8.0+17.04.20170110.1-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Enable -Wsuggest-override
  * Use the new Q_ENUM (Qt 5.5)

  [ Nick Dedekind ]
  * Fully qualify pointer type namespaces in signals so that the
    parameters can be used in qml.


