## lomiri-api 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 endif()
 
 project(lomiri-api C CXX)
+set(PROJECT_VERSION "0.1.1")
 
 if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
@@ -125,7 +126,7 @@
 # API version
 set(LOMIRI_API_MAJOR 0)
 set(LOMIRI_API_MINOR 1)
-set(LOMIRI_API_MICRO 7)
+set(LOMIRI_API_MICRO 1)
 set(LOMIRI_API_VERSION "${LOMIRI_API_MAJOR}.${LOMIRI_API_MINOR}.${LOMIRI_API_MICRO}")
 
 # API library
