=== include/lomiri/shell/application/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 file(GLOB headers "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
 file(GLOB internal_headers "${CMAKE_CURRENT_SOURCE_DIR}/internal/*.h")
+
+add_custom_target(appheaders
+                  SOURCES ${headers} ${internal_headers})
 
 install(FILES ${headers} DESTINATION ${INCLUDE_INSTALL_DIR})
