=== src/lomiri/util/internal/CMakeLists.txt ===
set(UTIL_INTERNAL_SRC
    ${CMAKE_CURRENT_SOURCE_DIR}/DaemonImpl.cpp
)

set(LOMIRI_API_LIB_SRC ${LOMIRI_API_LIB_SRC} ${UTIL_INTERNAL_SRC} PARENT_SCOPE)
