=== test/gtest/lomiri/util/CMakeLists.txt ===
add_subdirectory(Daemon)
add_subdirectory(DefinesPtrs)
add_subdirectory(FileIO)
add_subdirectory(GioMemory)
add_subdirectory(GlibMemory)
add_subdirectory(GObjectMemory)
add_subdirectory(IniParser)
add_subdirectory(ResourcePtr)
add_subdirectory(SnapPath)
add_subdirectory(Dbus)
add_subdirectory(internal)
