=== debian/changelog ===
lomiri-api (0.1.1-4) unstable; urgency=medium

  * debian/liblomiri-api0.symbols:
    + Mark functions optional that are hidden with -O3 builds. (Closes:
      #980274).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 18 Jan 2021 17:02:23 +0100

lomiri-api (0.1.1-3) unstable; urgency=medium

  * debian/liblomiri-api0.symbols:
    + Update symbols using pkgkde-symbolshelper.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 27 Sep 2020 20:32:56 +0200

lomiri-api (0.1.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 2002_no-whitespace-checks-in-debian-folder.patch.
      Ignore whitespace flaws in debian/ folder. This is not upstream's
      business.
  * debian/source/lintian-overrides:
    + Not required anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 26 Sep 2020 21:21:42 +0200

lomiri-api (0.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patch:
    + Drop patches 0001, 0002 and 1001. All applied upstream.
  * debian/liblomiri-api0.symbols:
    + Update file for 0.1.1/amd64.
  * debian/control:
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 26 Sep 2020 13:26:22 +0200

lomiri-api (0.1.0-7) unstable; urgency=medium

  * debian/control:
    + Fix Vcs-*: URLs.
  * debian/liblomiri-api0.symbols
    + Update symbols using pkgkde-symbolshelper.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Sep 2020 14:44:38 +0200

lomiri-api (0.1.0-6) unstable; urgency=medium

  * debian/liblomiri-api0.symbols:
    + Update symbols for arm64, riscv64 and sh4.
  * debian/rules:
    + Include buildflags.mk.
    + Drop explicit DEB_LDFLAGS_MAINT_APPEND (--as-needed). Now the default.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 21:28:19 +0200
