=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake,
                cmake-extras,
                dbus-test-runner,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                devscripts,
                lsb-release,
                doxygen,
@@ -29,8 +29,8 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/core/lomiri-api/
-Vcs-Git: https://salsa.debian.org/ubports/lomiri-api.git
-Vcs-Browser: https://salsa.debian.org/ubports/lomiri-api/
+Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-api.git
+Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-api/
 
 Package: liblomiri-api0
 Architecture: any
