=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,9 @@
 # http://ccache.samba.org/manual.html#_precompiled_headers
 export CCACHE_SLOPPINESS=time_macros
 
+include /usr/share/dpkg/buildflags.mk
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export QT_SELECT := 5
