=== debian/watch ===
version=4
https://gitlab.com/ubports/core/lomiri-api/tags .*/lomiri-api-(\d\S+)\.tar\.gz
