=== debian/changelog ===
lomiri-api (0.2.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update Upstream-Contact: field (change mail address).
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/:
    + Update upstream Git repo URL.
  * debian/patches:
    + Drop 2002_no-whitespace-checks-in-debian-folder.patch. Adopted upstream.

  [ Anton Gladky ]
  * debian/.gitlab-ci.yml:
    + Add file.
    + Let blhc fail.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jan 2023 21:07:24 +0100
