=== debian/control ===
--- 
+++ 
@@ -26,9 +26,9 @@
                symlinks,
                rdfind,
                pkg-kde-tools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/core/lomiri-api/
+Homepage: https://gitlab.com/ubports/development/core/lomiri-api/
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-api.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-api/
