## lomiri-api 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 endif()
 
 project(lomiri-api C CXX)
-set(PROJECT_VERSION "0.2.0")
+set(PROJECT_VERSION "0.2.1")
 
 if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
@@ -102,7 +102,7 @@
 add_definitions(-DLOMIRI_DLL_EXPORTS)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -pedantic -Wall -Wextra")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -pedantic -Wall -Wextra")
 
 # -fno-permissive causes warnings with clang, so we only enable it for gcc
 if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
