=== debian/changelog ===
lomiri-api (0.2.1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:31:49 +0000

lomiri-api (0.2.1-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:08:19 +0000

lomiri-api (0.2.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:34:43 +0000

lomiri-api (0.2.1-1) unstable; urgency=medium

  * New upstream release v0.2.1
  * debian/patches: Add patch to fix FTBFS with gcc13 (fixes: #1037762)
  * debian/rules: Use default gensymbols check level
  * debian/symbols: Refresh symbols

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 03:07:52 +0200
