## lomiri-api 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 endif()
 
 project(lomiri-api C CXX)
-set(PROJECT_VERSION "0.2.1")
+set(PROJECT_VERSION "0.2.2")
 
 if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
