=== debian/changelog ===
lomiri-api (0.2.2-1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * debian/control:
    + Add myself (mariogrip) as uploader

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches:
    + Drop 0001-fix-gcc13.patch. Applied upstream.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/liblomiri-api0.symbols:
    + Drop file. Symbols for C++ code are discontinued for Lomiri packaging.
  * debian/copyright:
    + Update attributions for debian/.
  * debian/control:
    + In B-D: , switch from pkg-config to pkgconf.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Jan 2025 16:29:40 +0100
