=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: lomiri-api
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                cmake-extras,
                dbus-test-runner,
@@ -17,7 +17,7 @@
                libgtest-dev,
                google-mock,
                libqtdbustest1-dev,
-               pkg-config,
+               pkgconf,
                python3:any,
                qtbase5-dev (>= 5.5),
                qtdeclarative5-dev,
