=== include/CMakeLists.txt ===
set(HDR_INSTALL_DIR include)
add_subdirectory(lomiri)

set(LOMIRI_API_LIB_HDRS ${LOMIRI_API_LIB_HDRS} PARENT_SCOPE)
