=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 add_pch(pch/lomiriapi_pch.hh ${LOMIRI_API_LIB_OBJ})
 
 # Use the object files to make the shared library.
-set(LOMIRI_API_SOVERSION 1)
+set(LOMIRI_API_SOVERSION 0)
 add_library(${LOMIRI_API_LIB} SHARED $<TARGET_OBJECTS:${LOMIRI_API_LIB_OBJ}>)
 set_target_properties(${LOMIRI_API_LIB} PROPERTIES
     VERSION "${LOMIRI_API_MAJOR}.${LOMIRI_API_MINOR}"
