=== test/qmltest/CMakeLists.txt ===
add_subdirectory(modules)
add_subdirectory(mocks)
add_subdirectory(lomiri)
