=== debian/changelog ===
lomiri-api (0.2.3-1) unstable; urgency=medium

  * New upstream release.
    - Support building with CMake 4. (Closes: #1113240).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Oct 2025 16:39:44 +0200
