=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                symlinks,
                rdfind,
                pkg-kde-tools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-api/
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-api.git
