=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export DPKG_GENSYMBOLS_CHECK_LEVEL=4
+#export DPKG_GENSYMBOLS_CHECK_LEVEL=4
 
 export CC=$(DEB_HOST_GNU_TYPE)-gcc
 export CXX=$(DEB_HOST_GNU_TYPE)-g++
